SDL_GetTouchFingers(3)

NAME
SDL_GetTouchFingers - Get a list of active fingers for a given touch device.

SYNOPSIS
#include <SDL3/SDL_touch.h>

SDL_Finger ** SDL_GetTouchFingers(SDL_TouchID touchID, int *count);

FUNCTION PARAMETERS

touchID
    the ID of a touch device.

count
    a pointer filled in with the number of fingers returned, can be NULL.

RETURN VALUE
Returns a NULL terminated array of SDL_Finger pointers or NULL on failure; call SDL_GetError() for more information. This is a single allocation that should be freed with SDL_free() when it is no longer needed.

AVAILABILITY
This function is available since SDL 3.2.0.